Subject: Re: FVWM: maximum # of windows

From: "Czarina Caro L. Tablante 1995-24644" <[email-masked]>
Date: Mon, 11 Sep 2000 10:41:43 -0800 (GMT)

On Fri, 8 Sep 2000, Mikhael Goikhman wrote:

> Implementing something non-standard or unknown always can be problematic.
> I suggested two solutions (in 2.2.4 only an idea with cron job may work),
> but you should choose yourself their implementations to match your needs.

yup, i decided to use FvwmEvent implementation. however, my version 
of fvwm is 2.2.4, and we cant install a beta version. does this mean 
i'll have to use force, i.e., use cron to kill the new window? but 
that isnt a good way to solve the problem, right?

> > FvwmEvent NewWindowEvent
> 
> Here you start an FvwmEvent's alias NewWindowEvent, but you define a
> configuration for another alias NewWindow (*NewWindow lines above).

i guess i misunderstood what i read off the archives. it shouldve 
been FvwmEvent NewWindow then, i guess.

> > this is my windows script:
> > 
> > #!/bin/sh
> > 
> > info=$(xwininfo -display :0 -tree -root | grep Navigator | wc -l)
> > if [ "$info" -gt 3 ]; then
> > 	FvwmCommand WindowId $w Delete
> 
> This line is incorrect. $w will be interpreted by sh as an empty string.
> You can use $1 (window id), $2 (window name), $3, $4 in the shell script.
> Also FvwmCommand(1) gets only one parameter. So the line could be:
> 
>   FvwmCommand "WindowId $1 Delete"

this is where i'm lost again. this script should send something back
to .fvwm2rc's PipeRead (+ I PipeRead `windows "$w" "$n" "$r" "$c") so
shouldnt i be putting "+ I WindowId $w Delete" (without the quotes)
here below the PipeRead line? What i cant understand is how i can
send the variables from the shell script back to .fvwm2rc or should 
i not be doing that anymore?
 
> But you should understand what happens. You call this script within
> PipeRead, it usually only makes sence if the script outputs something.
> My intend was (please reread that message) to call FvwmCommand from
> a cron job and here to print a fvwm command.

i used the FvwmCommand solution. if it doesnt work for 2.2.4, i 
guess i'll have to switch to the cron job implementation.

Thanks!

C

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].